package com.rjconsultores.ventaboletos.utilerias.fiscal.vo;

import java.math.BigDecimal;
import java.util.Date;

public class FinanceiroAnalitico implements Comparable<FinanceiroAnalitico> {

	private String uf;
	private String codigoAgencia;
	private Date fechorVenta;
	private BigDecimal receitaBPR;
	private BigDecimal gapVenda;
	private BigDecimal gapImpressa;
	private BigDecimal totalVendaPassagens;
	private BigDecimal receitaEb;
	private BigDecimal multaComp;
	private BigDecimal difTrocaOCD;
	private BigDecimal difTarifaMaior;
	private BigDecimal totalOutrasReceitas;
	private BigDecimal txEmb;
	private BigDecimal pedagio;
	private BigDecimal segFacult;
	private BigDecimal totalTerceiros;
	private BigDecimal receitaBruta;
	private BigDecimal devolBPR;
	private BigDecimal devolGAP;
	private BigDecimal receitaLiquida;
	private BigDecimal despesas;
	private BigDecimal pgOCD;
	private BigDecimal difTarifaMenor;
	private BigDecimal cartaoCredito;
	private BigDecimal cartaoDebito;
	private BigDecimal boletoBancario;
	private BigDecimal deposito;
	private BigDecimal totalDetalhamento;
	private BigDecimal saldo;

	@Override
	public int compareTo(FinanceiroAnalitico o) {
		int retorno = getFechorVenta().compareTo(o.getFechorVenta());
		if (retorno == 0 && (getUf()!=null && o.getUf()!= null ) ) {
			retorno = getUf().compareTo(o.getUf());
		}
		if (retorno == 0 && (getCodigoAgencia()!=null && o.getCodigoAgencia()!= null ) ) {
			retorno = getCodigoAgencia().compareTo(o.getCodigoAgencia());
		}
		return retorno;
	}

	public String getUf() {
		return uf;
	}

	public void setUf(String uf) {
		this.uf = uf;
	}

	public String getCodigoAgencia() {
		return codigoAgencia;
	}

	public void setCodigoAgencia(String codigoAgencia) {
		this.codigoAgencia = codigoAgencia;
	}

	public Date getFechorVenta() {
		return fechorVenta;
	}

	public void setFechorVenta(Date fechorVenta) {
		this.fechorVenta = fechorVenta;
	}

	public BigDecimal getReceitaBPR() {
		return receitaBPR;
	}

	public void setReceitaBPR(BigDecimal receitaBPR) {
		this.receitaBPR = receitaBPR;
	}

	public BigDecimal getGapVenda() {
		return gapVenda;
	}

	public void setGapVenda(BigDecimal gapVenda) {
		this.gapVenda = gapVenda;
	}

	public BigDecimal getGapImpressa() {
		return gapImpressa;
	}

	public void setGapImpressa(BigDecimal gapImpressa) {
		this.gapImpressa = gapImpressa;
	}

	public BigDecimal getTotalVendaPassagens() {
		return totalVendaPassagens;
	}

	public void setTotalVendaPassagens(BigDecimal totalVendaPassagens) {
		this.totalVendaPassagens = totalVendaPassagens;
	}

	public BigDecimal getMultaComp() {
		return multaComp;
	}

	public void setMultaComp(BigDecimal multaComp) {
		this.multaComp = multaComp;
	}

	public BigDecimal getDifTrocaOCD() {
		return difTrocaOCD;
	}

	public void setDifTrocaOCD(BigDecimal difTrocaOCD) {
		this.difTrocaOCD = difTrocaOCD;
	}

	public BigDecimal getDifTarifaMaior() {
		return difTarifaMaior;
	}

	public void setDifTarifaMaior(BigDecimal difTarifaMaior) {
		this.difTarifaMaior = difTarifaMaior;
	}

	public BigDecimal getTotalOutrasReceitas() {
		return totalOutrasReceitas;
	}

	public void setTotalOutrasReceitas(BigDecimal totalOutrasReceitas) {
		this.totalOutrasReceitas = totalOutrasReceitas;
	}

	public BigDecimal getTxEmb() {
		return txEmb;
	}

	public void setTxEmb(BigDecimal txEmb) {
		this.txEmb = txEmb;
	}

	public BigDecimal getPedagio() {
		return pedagio;
	}

	public void setPedagio(BigDecimal pedagio) {
		this.pedagio = pedagio;
	}

	public BigDecimal getSegFacult() {
		return segFacult;
	}

	public void setSegFacult(BigDecimal segFacult) {
		this.segFacult = segFacult;
	}

	public BigDecimal getTotalTerceiros() {
		return totalTerceiros;
	}

	public void setTotalTerceiros(BigDecimal totalTerceiros) {
		this.totalTerceiros = totalTerceiros;
	}

	public BigDecimal getReceitaBruta() {
		return receitaBruta;
	}

	public void setReceitaBruta(BigDecimal receitaBruta) {
		this.receitaBruta = receitaBruta;
	}

	public BigDecimal getDevolBPR() {
		return devolBPR;
	}

	public void setDevolBPR(BigDecimal devolBPR) {
		this.devolBPR = devolBPR;
	}

	public BigDecimal getDevolGAP() {
		return devolGAP;
	}

	public void setDevolGAP(BigDecimal devolGAP) {
		this.devolGAP = devolGAP;
	}

	public BigDecimal getReceitaLiquida() {
		return receitaLiquida;
	}

	public void setReceitaLiquida(BigDecimal receitaLiquida) {
		this.receitaLiquida = receitaLiquida;
	}

	public BigDecimal getDespesas() {
		return despesas;
	}

	public void setDespesas(BigDecimal despesas) {
		this.despesas = despesas;
	}

	public BigDecimal getPgOCD() {
		return pgOCD;
	}

	public void setPgOCD(BigDecimal pgOCD) {
		this.pgOCD = pgOCD;
	}

	public BigDecimal getDifTarifaMenor() {
		return difTarifaMenor;
	}

	public void setDifTarifaMenor(BigDecimal difTarifaMenor) {
		this.difTarifaMenor = difTarifaMenor;
	}

	public BigDecimal getCartaoCredito() {
		return cartaoCredito;
	}

	public void setCartaoCredito(BigDecimal cartaoCredito) {
		this.cartaoCredito = cartaoCredito;
	}

	public BigDecimal getCartaoDebito() {
		return cartaoDebito;
	}

	public void setCartaoDebito(BigDecimal cartaoDebito) {
		this.cartaoDebito = cartaoDebito;
	}

	public BigDecimal getBoletoBancario() {
		return boletoBancario;
	}

	public void setBoletoBancario(BigDecimal boletoBancario) {
		this.boletoBancario = boletoBancario;
	}

	public BigDecimal getDeposito() {
		return deposito;
	}

	public void setDeposito(BigDecimal deposito) {
		this.deposito = deposito;
	}

	public BigDecimal getTotalDetalhamento() {
		return totalDetalhamento;
	}

	public void setTotalDetalhamento(BigDecimal totalDetalhamento) {
		this.totalDetalhamento = totalDetalhamento;
	}

	public BigDecimal getSaldo() {
		return saldo;
	}

	public void setSaldo(BigDecimal saldo) {
		this.saldo = saldo;
	}

	public BigDecimal getReceitaEb() {
		return receitaEb;
	}

	public void setReceitaEb(BigDecimal receitaEb) {
		this.receitaEb = receitaEb;
	}

}
